seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/11/28, 17:04:03


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: [solved] Problem updating kwrite  (Read 1205 times)

0 Members and 1 Guest are viewing this topic.

Offline orinoco

  • User
  • Posts: 175
[solved] Problem updating kwrite
« on: 2017/11/29, 00:19:20 »
Hello,

I have problems updating/(re-)installing kwrite:

Code: [Select]
$ sudo apt -V install kwrite
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
   kwrite (4:17.08.3-1)
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
Need to get 0 B/85.8 kB of archives.
After this operation, 280 kB of additional disk space will be used.
(Reading database ... 219964 files and directories currently installed.)
Preparing to unpack .../kwrite_4%3a17.08.3-1_amd64.deb ...
Unpacking kwrite (4:17.08.3-1) ...
dpkg: error processing archive /var/cache/apt/archives/kwrite_4%3a17.08.3-1_amd64.deb (--unpack):
 trying to overwrite '/usr/share/doc/HTML/de/kwrite/index.cache.bz2', which is also in package kde-l10n-de 4:16.04.3-5
Errors were encountered while processing:
 /var/cache/apt/archives/kwrite_4%3a17.08.3-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Code: [Select]
$ sudo apt policy kde-l10n-de
kde-l10n-de:
  Installed: 4:16.04.3-5
  Candidate: 4:16.04.3-5
  Version table:
 *** 4:16.04.3-5 500
        500 https://cloudfront.debian.net/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status

Code: [Select]
$ sudo apt policy kwrite
kwrite:
  Installed: (none)
  Candidate: 4:17.08.3-1
  Version table:
     4:17.08.3-1 500
        500 https://cloudfront.debian.net/debian unstable/main amd64 Packages
« Last Edit: 2017/12/04, 00:19:57 by orinoco »

Offline jure

  • User
  • Posts: 536
Re: Problem updating kwrite
« Reply #1 on: 2017/11/29, 00:26:07 »
same here - I purged kde-l10n-de and the upgrade of kwrite went through. So fare I can´t see a different without kde-l10n-de  ???
Gruss Juergen

Offline hendrikL

  • User
  • Posts: 448
Re: Problem updating kwrite
« Reply #2 on: 2017/11/29, 08:08:59 »
Hi orinoco,

you are bitten by a big change, they are migrating all translations into the packages themselves.
If that migration is done, there will be no kde-l10n-<LANG> left.
The best you can do is to write a bug against kwrite and kde-l10n-<LANG>.
Maybe they migrate, if enough people write a bug against kde-l10n-<LANG>, the working and right version from experimental to unstable,
or fix kwrite in the right way.

So please write a bug!

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.787
  • we are the priests ... of the temples of syrinx
Re: Problem updating kwrite
« Reply #3 on: 2017/11/29, 08:11:29 »
Not recommended but, on a test machine (just wait it out)

Code: [Select]
piper@x1 ~ $ apt policy kwrite kde-l10n-de
kwrite:
  Installed: 4:17.08.3-1
  Candidate: 4:17.08.3-1
  Version table:
 *** 4:17.08.3-1 500
        500 http://10.10.10.3:3142/mirror.math.princeton.edu/pub/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
kde-l10n-de:
  Installed: 4:17.04.3-1
  Candidate: 4:17.04.3-1
  Version table:
     4:17.08.3-1 1
          1 http://10.10.10.3:3142/deb.debian.org/debian experimental/main amd64 Packages
          1 http://10.10.10.3:3142/deb.debian.org/debian experimental/main i386 Packages
 *** 4:17.04.3-1 100
        100 /var/lib/dpkg/status
     4:16.04.3-5 500
        500 http://10.10.10.3:3142/mirror.math.princeton.edu/pub/debian unstable/main amd64 Packages
        500 http://10.10.10.3:3142/mirror.math.princeton.edu/pub/debian unstable/main i386 Packages

https://tracker.debian.org/pkg/kde-l10n
Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Offline whistler_mb

  • User
  • Posts: 150
Re: Problem updating kwrite
« Reply #4 on: 2017/11/29, 16:01:50 »
I've detected no problems with the experimental kde-l10n-de since yesterday
Code: [Select]
~$ apt-cache policy kde-l10n-de
kde-l10n-de:
  Installiert:           4:17.08.3-1
  Installationskandidat: 4:17.08.3-1
  Versionstabelle:
 *** 4:17.08.3-1 100
          1 http://ftp.de.debian.org/debian experimental/main amd64 Packages
          1 http://ftp.de.debian.org/debian experimental/main i386 Packages
        100 /var/lib/dpkg/status
     4:16.04.3-5 500
        500 http://ftp.de.debian.org/debian unstable/main amd64 Packages
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
     4:16.04.3-4 500

Offline orinoco

  • User
  • Posts: 175
Re: Problem updating kwrite
« Reply #5 on: 2017/12/04, 00:19:36 »
Hello,

the problem seems to be solved here. The new kde-l10n-de package flooded into unstable:

Code: [Select]
$ apt policy kde-l10n-de kwrite
kde-l10n-de:
  Installiert:           4:16.04.3-6
  Installationskandidat: 4:16.04.3-6
  Versionstabelle:
 *** 4:16.04.3-6 500
        500 https://cloudfront.debian.net/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
kwrite:
  Installiert:           4:17.08.3-2
  Installationskandidat: 4:17.08.3-2
  Versionstabelle:
 *** 4:17.08.3-2 500
        500 https://cloudfront.debian.net/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status